> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer by alias

> Retrieve the details of one of your [customers](/customers/overview) using one of their aliases.



## OpenAPI

````yaml customer.latest.product.live GET /customers/by-alias/{alias}
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Customer Aliases
  - name: Contacts
  - name: Organizations
  - name: Customers
paths:
  /customers/by-alias/{alias}:
    servers: []
    parameters: []
    get:
      tags:
        - Customer Aliases
      summary: Get customer by alias
      description: >-
        Retrieve the details of one of your [customers](/customers/overview)
        using one of their aliases.
      operationId: getCustomersByAliasByAlias
      parameters:
        - name: alias
          in: path
          description: Customer alias
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer20240509'
                example:
                  id: e309e948-088e-4d77-b654-cd85498f1555
                  createdAt: '2022-06-28T16:47:00Z'
                  legalName: John Doe
                  contactName: John Doe
                  address:
                    line1: Flat 1
                    line2: 123 Fake Street
                    town: New York
                    state: NY
                    postcode: AB1 2EF
                    country: US
                  addresses:
                    - purposes:
                        - BILLING
                      address:
                        line1: Flat 1
                        line2: 123 Fake Street
                        town: New York
                        state: NY
                        postcode: AB1 2EF
                        country: US
                  email: john@example.com
                  telephone: '02010001000'
                  url: https://example.com/
                  label: Example customer
                  integrationIds:
                    - service: Xero
                      id: ID
                      lastSynced: '2022-06-28T16:47:00Z'
                      isPending: false
                    - service: Stripe
                      id: cus_OCtCxqQDgu1uX9
                      lastSynced: '2022-06-28T16:47:00Z'
                      isPending: false
                  archivedAt: '2022-06-28T16:47:00Z'
                  billingEmails:
                    - exampleCorpInvoices@example.com
                  taxStatus: TAXED
              examples:
                Customer20240509:
                  summary: ''
                  value:
                    id: e309e948-088e-4d77-b654-cd85498f1555
                    createdAt: '2022-06-28T16:47:00Z'
                    legalName: John Doe
                    contactName: John Doe
                    address:
                      line1: Flat 1
                      line2: 123 Fake Street
                      town: New York
                      state: NY
                      postcode: AB1 2EF
                      country: US
                    addresses:
                      - purposes:
                          - BILLING
                        address:
                          line1: Flat 1
                          line2: 123 Fake Street
                          town: New York
                          state: NY
                          postcode: AB1 2EF
                          country: US
                    email: john@example.com
                    telephone: '02010001000'
                    url: https://example.com/
                    label: Example customer
                    integrationIds:
                      - service: Xero
                        id: ID
                        lastSynced: '2022-06-28T16:47:00Z'
                        isPending: false
                      - service: Stripe
                        id: cus_OCtCxqQDgu1uX9
                        lastSynced: '2022-06-28T16:47:00Z'
                        isPending: false
                    archivedAt: '2022-06-28T16:47:00Z'
                    billingEmails:
                      - exampleCorpInvoices@example.com
                    taxStatus: TAXED
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    Customer20240509:
      required:
        - address
        - addresses
        - billingEmails
        - createdAt
        - email
        - id
        - integrationIds
        - legalName
        - taxStatus
      type: object
      example:
        id: e309e948-088e-4d77-b654-cd85498f1555
        createdAt: '2022-06-28T16:47:00Z'
        legalName: John Doe
        contactName: John Doe
        address:
          line1: Flat 1
          line2: 123 Fake Street
          town: New York
          state: NY
          postcode: AB1 2EF
          country: US
        addresses:
          - purposes:
              - BILLING
            address:
              line1: Flat 1
              line2: 123 Fake Street
              town: New York
              state: NY
              postcode: AB1 2EF
              country: US
        email: john@example.com
        telephone: '02010001000'
        url: https://example.com/
        label: Example customer
        integrationIds:
          - service: Xero
            id: ID
            lastSynced: '2022-06-28T16:47:00Z'
            isPending: false
          - service: Stripe
            id: cus_OCtCxqQDgu1uX9
            lastSynced: '2022-06-28T16:47:00Z'
            isPending: false
        archivedAt: '2022-06-28T16:47:00Z'
        billingEmails:
          - exampleCorpInvoices@example.com
        taxStatus: TAXED
      properties:
        id:
          type: string
          description: Unique ID
          example: e309e948-088e-4d77-b654-cd85498f1555
        createdAt:
          type: string
          description: Created at
          example: '2022-06-28T16:47:00Z'
        legalName:
          type: string
          description: Legal name
          example: John Doe
        contactName:
          type: string
          description: Contact Name
          nullable: true
          example: John Doe
        address:
          $ref: '#/components/schemas/Address'
          deprecated: true
        addresses:
          type: array
          description: >-
            The customer's addresses, each with the purposes it serves. At most
            one address is BILLING and at most one SHIPPING, and one address can
            be both. Empty when the customer has no addresses. The deprecated
            address field holds the BILLING address, or a placeholder with an
            empty line1, town and postcode when there is none.
          example:
            - purposes:
                - BILLING
              address:
                line1: Flat 1
                line2: 123 Fake Street
                town: New York
                state: NY
                postcode: AB1 2EF
                country: US
          items:
            $ref: '#/components/schemas/CustomerAddressModel'
        email:
          type: string
          description: Main contact email address
          example: john@example.com
        telephone:
          type: string
          description: Telephone
          nullable: true
          example: '02010001000'
        url:
          type: string
          description: URL
          nullable: true
          example: https://example.com/
        label:
          type: string
          description: Label
          nullable: true
          example: Example customer
        integrationIds:
          type: array
          description: External services which are linked to this customer
          example:
            - service: Xero
              id: ID
              lastSynced: '2022-06-28T16:47:00Z'
              isPending: false
            - service: Stripe
              id: cus_OCtCxqQDgu1uX9
              lastSynced: '2022-06-28T16:47:00Z'
              isPending: false
          items:
            $ref: '#/components/schemas/IntegrationId'
        archivedAt:
          type: string
          description: Date and time the Customer was archived
          nullable: true
          example: '2022-06-28T16:47:00Z'
        billingEmails:
          type: array
          description: Billing email addresses
          example:
            - exampleCorpInvoices@example.com
          items:
            type: string
        taxStatus:
          $ref: '#/components/schemas/TaxStatus'
          description: >-
            Tax status applicable to customer. Can be one of TAXED, TAX_EXEMPT
            or REVERSE_CHARGED. The default is TAXED.
    Address:
      required:
        - country
        - line1
        - postcode
        - town
      type: object
      description: Address
      example:
        line1: Flat 1
        line2: 123 Fake Street
        town: New York
        state: NY
        postcode: AB1 2EF
        country: US
      properties:
        line1:
          type: string
          description: Address line 1
          example: Flat 1
        line2:
          type: string
          description: Address line 2
          nullable: true
          example: 123 Fake Street
        town:
          type: string
          description: Town or city
          example: New York
        state:
          $ref: '#/components/schemas/State'
          description: State or province (required for USA and Canada)
          nullable: true
        postcode:
          type: string
          description: Postal code
          example: AB1 2EF
        country:
          $ref: '#/components/schemas/CountryCode'
          description: >-
            Country. Request values can be an ISO 3166-1 alpha-2 code such as
            `GB`
            ([list](https://en.wikipedia.org/wiki/List_of_ISO_3166_country_codes)),
            an alpha-3 code such as `GBR`, a country name or a common alias
            ("United Kingdom", "UK"), in any case. Response values always use
            the alpha-2 code.
    CustomerAddressModel:
      required:
        - address
        - purposes
      type: object
      example:
        purposes:
          - BILLING
        address:
          line1: Flat 1
          line2: 123 Fake Street
          town: New York
          state: NY
          postcode: AB1 2EF
          country: US
      properties:
        purposes:
          type: array
          description: >-
            What this address is used for: BILLING, SHIPPING, or both when one
            address serves both. An address needs at least one purpose, and each
            purpose can be on only one address.
          example:
            - BILLING
          items:
            $ref: '#/components/schemas/AddressPurpose'
        address:
          $ref: '#/components/schemas/Address'
    IntegrationId:
      required:
        - id
        - isPending
        - service
      type: object
      example:
        service: Xero
        id: ID
        lastSynced: '2022-06-28T16:47:00Z'
        isPending: false
      properties:
        service:
          $ref: '#/components/schemas/IntegrationService'
        id:
          type: string
          example: ID
        lastSynced:
          type: string
          nullable: true
          example: '2022-06-28T16:47:00Z'
        isPending:
          type: boolean
          example: false
    TaxStatus:
      type: string
      example: TAXED
      enum:
        - TAXED
        - TAX_EXEMPT
        - REVERSE_CHARGED
    State:
      type: string
      example: NY
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DC
        - DE
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
        - AB
        - BC
        - MB
        - NB
        - NL
        - NS
        - NT
        - NU
        - 'ON'
        - PE
        - QC
        - SK
        - YT
    CountryCode:
      type: string
      example: US
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BQ
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SX
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - UM
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XK
        - YE
        - YT
        - ZA
        - ZM
        - ZW
    AddressPurpose:
      type: string
      example: BILLING
      enum:
        - BILLING
        - SHIPPING
    IntegrationService:
      type: string
      example: Xero
      enum:
        - Amazon_Redshift
        - GoCardless
        - Google_BigQuery
        - Google_Sheets
        - HubSpot
        - NetSuite
        - QuickBooks_Online
        - Salesforce
        - Slack
        - Snowflake
        - Stripe
        - Xero
        - Avalara
        - Anrok
        - Attio
        - Numeral
        - Rillet
        - Sphere

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.